% t_time.m: Simulation of measured time history
function [Yt]=t_time(wr,er,sf0r,sdn);
global T dt
Tadd=10;
fine=50;dtf=dt/fine;
Nadd=Tadd/dtf;
Nf=T/dtf+Nadd; t=[0:Nf-1]'.*dtf;
randn('state',sum(111*clock));
N=T/dt;
force(:,1)=randn(Nf,1)*(sf0r*2*pi/dtf)^0.5;
A=[0 1; -wr^2 -2*er*wr];
B=[0;1];out1=[1 0];
[xx,XX]=lsim(A,B,out1,0,force,t);
randn('state',sum(222*clock));
Yt=xx(Nadd+1:fine:Nf,1)+sdn*randn(N,1);