% Function for computing y'=f(t,y) for Duffing oscillator
function Ypi=Fduffing(t,Y0);
global force cr K1r K3r T dt dtf M0
Ypi(1,1)=Y0(2);
fq=force(fix(t/dtf+1)); %assuming piecewise constant excitation
Ypi(2,1)=(fq-cr*Y0(2)-K1r*Y0(1)-K3r*Y0(1)^3)/M0;