function [Sy,sdn]=spd_duffing(Sf0r,nl);
global force K1r K3r cr T dt dtf M0
fine=10;  % use a finer time step for response simulation
Tadd=100;
dtf=dt/fine;
Nadd=Tadd/dtf;
Nf=T/dtf+Nadd;
randn('seed',sum(111*clock));
force=randn(1,Nf)*(2*pi*Sf0r/dtf)^0.5;
[Ts,Yt]=ode45('Fduffing',[0:Nf-1]*dtf,[0;0]);
Yt=Yt(Nadd+1:fine:end,1);
sdn=nl*std(Yt);
randn('seed',sum(222*clock));
Yt=Yt+sdn*randn(T/dt,1);
Y=fft(Yt.*dt,T/dt); Y=Y(2:T/dt/2);
Sy(1,:)=Y.*conj(Y)/2/pi/T;