function Sy=spd_sda(wr,zr,Sf0r);
global wpos T dt
fine=10; % to use a finer time step for response simulation
Tadd=10; % additional time interval for simulation at the beginning but it
         % will not be included in the measurement to avoid transient
         % response.
dtf=dt/fine;
Nadd=Tadd/dtf;
Nf=T/dt*fine+Nadd;
randn('seed',sum(999*clock));
force=randn(1,Nf)./(dtf^0.5)*(Sf0r*2*pi)^0.5;
[xx,XX]=lsim(1,[1 2*zr*wr wr^2],force,[0:Nf-1]*dtf);
xx=xx(Nadd+1:fine:Nf)';
Y=fft(xx*dt); Y=Y(2:fix(end/4));
Sy=Y.*conj(Y)/2/pi/T;