function [nlnp,g]=ptime(pa);
global T dt Yt nlnpmin dis Np
N=T/dt;
time=[0:Np]*dt;
w=pa(1);e=pa(2);S=pa(3);
R=(pi*S/2/e/w^3)*exp(-e*w.*time).*(cos(w*(1-e^2)^0.5*time)+e/(1-e^2)^0.5.*sin(w*(1-e^2)^0.5*time));
R(1)=R(1)+pa(4)^2;
SIGMA12=R(1,2:Np+1);
INVSIGMA22=inv(toeplitz(R(1,1:Np)));
vec=SIGMA12*INVSIGMA22;
VAR_e=R(1)-vec*SIGMA12';
Y=Yt(1:Np);
nlnp=-0.5*log(det(INVSIGMA22))+0.5*Y'*INVSIGMA22*Y+0.5*(N-Np)*log(VAR_e);
for n=Np+1:N
    nlnp=nlnp+0.5*(Yt(n)-vec*Yt(n-1:-1:n-Np))^2/VAR_e;
end
if (dis==1)*(nlnp<nlnpmin)
   disp(['Parameters:',num2str(pa)]);
   disp(['-ln(p)=    ',num2str(nlnp)]);
   nlnpmin=nlnp;
end
g=0;