function [Xt,sdn]=spt_t(T,dt,wr,er,sf0r,nl);
fine=10; % to use a finer sampling period for simulation
N=T/dt*fine; t=[0:N-1]'.*dt/fine;
Xt=zeros(T/dt,1);
Nt=T/dt;
randn('seed',sum(111*clock));
force(:,1)=randn(N,1)./(dt/fine)^0.5*(sf0r*2*pi)^0.5;
A=[0 1; -wr^2 -2*er*wr];
E=[0;1];
out1=[1 0];
[xx,XX]=lsim(A,E,out1,0,force,t);
xx=xx';
randn('seed',sum(222*clock));
sdn=nl*std(xx(1,1:fine:N));
Xt=xx(1,1:fine:N)'+sdn*randn(T/dt,1);