close all
clear
load wtoK3d_un
thetaun=theta;
sdun=results(:,3);

load wtoK3d_pd
thetapd=theta;
sdpd=results(:,3);

d=[-0.05:0.001:0.2];
for p=1:24
    for q=1:length(d)
        P(p,q)=gaucdf(((1-d(q))*thetaun(p)-thetapd(p))/((1-d(q))^2*sdun(p)^2+sdpd(p)^2)^0.5);
    end
end
plot(d,P')
hold on
pos=201;
plot([d(pos) d(pos)+0.081],P(1,pos)*[1 1])
x=0.248;y=P(1,pos);
h = text(x,y,'1,+x');
set(h,'horizontalalignment','center','fontsize',15);
h = plot(x,y,'o');set(h,'markersize',34);

pos=150;
plot([d(pos) d(pos)+0.126],P(14,pos)*[1 1])
x=0.248;y=P(14,pos);
h = text(x,y,'4,+y');
set(h,'horizontalalignment','center','fontsize',15);
h = plot(x,y,'o');set(h,'markersize',34);
xlim([-0.05 0.28])
grid
xlabel('Damage extent d')
ylabel('Probability of damage')