function [nlnp,g]=pms_mode(pa);
global ES T dt Sy nlnpmin wpos Nm dis
omega=[1:wpos]*2*pi/T;
ES=zeros(1,wpos);
freq=abs(pa(1:Nm));
MPF=pa(Nm+1:2*Nm); % modal participating factor
a0=pa(2*Nm+1);
a1=pa(2*Nm+2);
Sn0=pa(2*Nm+3);
zeta=a0/2./freq+a1/2*freq;
for m=1:Nm
   ES=ES+(4*zeta(m)^2*freq(m)^2*omega.^2+freq(m)^4)*(MPF(m)^2)./(4*zeta(m)^2*freq(m)^2*omega.^2+(omega.^2-freq(m)^2).^2);
end
ES=ES+Sn0;
nlnp=sum(log(ES))+sum(Sy(1:wpos)./ES);

if (nlnp<nlnpmin)*(dis==1)
   disp(['Parameters:',num2str(pa)]);
   disp(['-ln(p)=    ',num2str(nlnp)]);
   nlnpmin=nlnp;
end
g=0;